<?php
/*
  osCommRes, Services Online
  http://www.oscommres.com

  Copyright (c) 2005 osCommRes

  Released under the GNU General Public License
  
  Freeway eCommerce from ZacWare
http://www.zac-ware.com/freeway

Copyright 2007 ZacWare Pty. Ltd 

*/
// Set flag that this is a parent file
	define( '_FEXEC', 1 );
   require('includes/application_top.php');
   require('includes/classes/split_page_results_event.php');
   tep_get_last_access_file();// get input entries to find type of entry
   $action = (isset($HTTP_GET_VARS['action']) ? $HTTP_GET_VARS['action'] : '');
   $action_value = (isset($HTTP_GET_VARS['action_value']) ? $HTTP_GET_VARS['action_value'] : '');
   $tax_rates_id=(isset($HTTP_GET_VARS['tid'])?(int)$HTTP_GET_VARS['tid']:'');
   $page = (isset($HTTP_GET_VARS['page']) ? (int)$HTTP_GET_VARS['page'] :1);
   $position=isset($HTTP_GET_VARS['position'])?$HTTP_GET_VARS['position']:1;
   if($action!=""){
   	  if($action=='get_details'){
   	  	  echo_get_details();
   	  }else if($action=='page_navigation'){
   	  		echo $action;
   	  		table_write();
   	  }else if($action=='edit_tax_class'){
		    $cnt=0;
			  $tax_rates_info=array('tax_class_id'=>'',
		                         	'tax_zone_id'=>'',
		                         	'tax_rate'=>'',
									'tax_description'=>'',
									//'tax_priority'=>''
										 );	
			$lInfo=new objectInfo($tax_rates_info);								 		
		     if ($tax_rates_id){
			 	$tax_rates_info_query=tep_db_query("select r.tax_rates_id, z.geo_zone_id, z.geo_zone_name, tc.tax_class_title, tc.tax_class_id, r.tax_priority, r.tax_rate, r.tax_description, r.date_added, r.last_modified from " . TABLE_TAX_CLASS . " tc, " . TABLE_TAX_RATES . " r left join " . TABLE_GEO_ZONES . " z on r.tax_zone_id = z.geo_zone_id where r.tax_class_id = tc.tax_class_id");
		       	while($tax_rates_info=tep_db_fetch_array($tax_rates_info_query)) {				
				$cnt=tep_db_num_rows($tax_rates_info_query);
				if($tax_rates_info['tax_rates_id']==$tax_rates_id)
					$lInfo=new objectInfo($tax_rates_info);		
				}   
		  	} 
			echo 'edit';
		?>        				   		
			<table border="0" cellspacing="2" cellpadding="4" width="100%">
			  
			    <tr>
				 <td align="center">
					  <table border="0" cellspacing="2" cellpadding="4">							     
						<tr valign="top">
							<td class="main">Tax Class Title</td><td><?php echo tep_tax_classes_pull_down('name="tax_class_id" style="font-size:10px"', $lInfo->tax_class_id);?></td>
							<td class="main">Zone</td><td class="main"><?php echo tep_geo_zones_pull_down('name="tax_zone_id" style="font-size:10px"', $lInfo->geo_zone_id);?></td>
						</tr>
						<tr valign="top">
							<td class="main">Tax Rate</td><td class="main"><?php echo tep_draw_input_field('tax_rate', $lInfo->tax_rate);?></td>
							<td class="main">Description</td><td class="main"><?php echo tep_draw_input_field('tax_description', $lInfo->tax_description);?></td>
						</tr>
					</table>
				</td>
			</tr>
			<tr><td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td></tr>		
 		 </table>      
<?php   }else if($action=='pos_down' || $action=='pos_up'){ 		
			  $result='sort_order_error';	
			  $position = isset($HTTP_GET_VARS['pos'])?$HTTP_GET_VARS['pos']:0;
			  if (trim($action) == 'pos_up')
					$sort_query=tep_db_query("select tax_priority, tax_rates_id from " . TABLE_TAX_RATES . " where  tax_priority<" . $position . " order by tax_priority desc limit 1");
			  else if($action=='pos_down')
					$sort_query=tep_db_query("select tax_priority, tax_rates_id from " . TABLE_TAX_RATES. " where tax_priority>" . $position . " order by tax_priority limit 1");							
				if (tep_db_num_rows($sort_query)>0){						
						$sort_result = tep_db_fetch_array($sort_query);
						$prev_order=$sort_result['tax_priority'];
						$result = tep_db_query("update " . TABLE_TAX_RATES . " set tax_priority='" . $position ."' where tax_rates_id='" . (int)$sort_result['tax_rates_id'] . "'");
						if($result<0) $result='error';												
						$result = tep_db_query("update " . TABLE_TAX_RATES . " set tax_priority='" . (int)$sort_result['tax_priority'] . "' where tax_rates_id='" . (int)$tax_rates_id ."'");
						if($result<0) $result='error';
						$result="sort_order_success".$prev_order;						
			    }	
			   echo $result; 	 	
		 }else if($action=='delete_tax_class'){
			$tax_class_string = 'delete';
		 	$tax_class_string .="<table border='0' cellspacing='2' cellpadding='2' width='100%'><tr><td width='17' align='center'>".tep_image('images/template/img_trash.gif').'</td>';
		 	$tax_class_string .='<td width="500" align="left" class="inner_title">'.IMAGE_DELETE_TAX_RATE . '</td></tr>';
		 	$tax_class_string .='<tr><td></td><td width="500" align="left" class="main">'.TEXT_DELETE_INTRO.'?'. '<br></td></tr></table>';
			$tax_class_string .='</tr><tr><td><img src="images/pixel_trans.gif" border="0" alt="" width="10" height="20"></td></tr>';
			echo $tax_class_string;
        }else if($action=='update_tax_class'){ 
	
			$tax_class_id=(isset($HTTP_POST_VARS['tax_class_id'])?(int)$HTTP_POST_VARS['tax_class_id']:'');
			$tax_zone_id=(isset($HTTP_POST_VARS['tax_zone_id'])?(int)$HTTP_POST_VARS['tax_zone_id']:'');
			$tax_rate=(isset($HTTP_POST_VARS['tax_rate'])?$HTTP_POST_VARS['tax_rate']:'');
			$tax_description=(isset($HTTP_POST_VARS['tax_description'])?$HTTP_POST_VARS['tax_description']:'');
		//	$tax_priority=(isset($HTTP_POST_VARS['tax_priority'])?$HTTP_POST_VARS['tax_priority']:'');
				//if($action=='update')  
				$sort_id=$position;		 	
				$max_sql = "select max(tax_priority) as max_total from " . TABLE_TAX_RATES;
   			$max_query = tep_db_query($max_sql);	
			$max_total = tep_db_fetch_array($max_query);
			$sort_id=1;
			$sort_id=($max_total['max_total']+1);				
			$sort_order_array = array('tax_priority'=>$sort_id);
									
				$sql_data = array('tax_class_id' => $tax_class_id,
				  				  'tax_zone_id' =>$tax_zone_id,
								  'tax_rate'=>$tax_rate,
								  'tax_description'=>$tax_description,
								//  'tax_priority'=>$tax_priority,
								  'last_modified'=>'now()',
								  );
								  
		if ($tax_rates_id>0 && $HTTP_POST_VARS['action_type']=='edit')   {
			$sql_data_array = array_merge($sort_order_array, $sql_data);
			tep_db_perform(TABLE_TAX_RATES , $sql_data_array, 'update', "tax_rates_id = '" . (int)$tax_rates_id . "'");				
		}	
		else  if($HTTP_POST_VARS['action_type']=='new'){
			$sql_data['date_added']='now()';
			$sql_data_array = array_merge($sort_order_array, $sql_data);
			tep_db_perform(TABLE_TAX_RATES , $sql_data_array);
			$tax_rates_id = tep_db_insert_id();
			echo 'new_tax_rates';				
		}				  		
		echo_get_details();  	  	  		    
   	 }else if($action=='delete_confirm'){   	    
	 	tep_db_query("DELETE from " . TABLE_TAX_RATES  . " where tax_rates_id='" . (int)$tax_rates_id . "'");	           
	    echo 'delete_success';	     
	 }
   	 exit;
   }        
   function echo_get_details(){
  	 global $tax_rates_id;	
  		$tax_class_query = tep_db_query("select  r.tax_rates_id, tc.tax_class_title, z.geo_zone_name, r.tax_rate, r.tax_description, r.tax_priority from " . TABLE_TAX_CLASS . " tc, " . TABLE_TAX_RATES . " r left join " . TABLE_GEO_ZONES . " z on r.tax_zone_id = z.geo_zone_id where r.tax_class_id = tc.tax_class_id");
		if(tep_db_num_rows($tax_class_query)>0){
			while($tax_class=tep_db_fetch_array($tax_class_query)) {
				if($tax_class['tax_rates_id']==$tax_rates_id) {
					while(list($key,$vals)=each($tax_class))						
						$str_vals.=$vals."||";	
				}		
			}
		}else $str_vals="No Record Found";	
		echo 'get_details'.$str_vals;
  } 
   function table_write(){
    global $page;	
   ?>
  	<table border="0" cellpadding="0" cellspacing="0" width="100%">
	<?php   $rates_query_raw = "select r.tax_rates_id, z.geo_zone_id, z.geo_zone_name, tc.tax_class_title, tc.tax_class_id, r.tax_priority, r.tax_rate, r.tax_description, r.date_added, r.last_modified from " . TABLE_TAX_CLASS . " tc, " . TABLE_TAX_RATES . " r left join " . TABLE_GEO_ZONES . " z on r.tax_zone_id = z.geo_zone_id where r.tax_class_id = tc.tax_class_id order by r.tax_priority";
		   $tax_split = new splitPageResultsEvent($page, MAX_DISPLAY_SEARCH_RESULTS, $rates_query_raw, $tax_class_query_numrows);
		   $tax_class_query = tep_db_query($rates_query_raw);		   
		   if(tep_db_num_rows($tax_class_query)>0){ 
		    while ($tax_class = tep_db_fetch_array($tax_class_query)) {					 
				 $class="dataTableRowEven"; 
  				 if($rows%2==0) $class="dataTableRowOdd"; 					
  				 $rows++;
				// echo '  <tr style="height:25" class="'.$class.'" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="javascript:expand_category(' . $tax_class['tax_rates_id'] . ',3);">' . "\n"; 
  				 echo '  <tr style="height:25" class="'.$class.'" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="javascript:if(document.getElementById(\'head_'.$tax_class['tax_rates_id'].'\').style.display==\'none\') expand_category(' . $tax_class['tax_rates_id'] . ',3);">' . "\n"; 
			   ?>  			      
		   	  <td colspan="4" width="100%">
		   	  	<div id="data_<?php echo $tax_class['tax_rates_id'];?>">
		   	  	 <table border="0" cellspacing="0" cellpadding="0" width="100%">
		   	  		<tr>
		   	  			  <td  class="dataTableContent" align="left"><?php echo $tax_class['tax_class_title']; ?></td>
             			   <td  width="355" class="dataTableContent" align="left"><?php echo $tax_class['geo_zone_name']; ?></td>
            			    <td width="75" class="dataTableContent" align="left"><?php echo tep_display_tax_value($tax_class['tax_rate']); ?>%</td>
             		</tr>
		   	  	</table>
		   	   </div>
		   	   <div class="openContent" id="head_<?php echo $tax_class['tax_rates_id'];?>" style="display:none"></div>
		   	  </td>					      
      		</tr>
      	<?php }
			 }else echo '<tr><td id="empty_tax" class="smallText">'.TEXT_EMPTY_TAX_RATES.'</td></tr>'; ?>
			   <tr id="new_tax_rate" style="display:none" class="openContent">
			<td colspan="5" class="openContent_top">	
				<table cellpadding="1" cellspacing="0" border="0" width="100%">
					<tr>
						<td class="inner_title"><?php echo 'New Tax Rate';?></td>
						<td width='40%' align='right' ><input type='image' src='images/template/img_savel.gif' alt='save' title='save' border='0'>&nbsp;&nbsp;<a href='javascript:drop_new_class();'><img src='images/template/img_closel.gif' alt='close' title='close' border='0'></a>&nbsp;&nbsp;</td>
					</tr>
					<tr><td colspan='5' ><div id="span_new" style="display:none"></div></td></tr>
				</table>
			</td>
		</tr>
			 
		</table>
		
		<table border="0" cellspacing="0" cellpadding="0" width="100%">
			<tr>				  
		         <td class="smallText" valign="top"><?php echo $tax_split->display_count($tax_class_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, $page,TEXT_DISPLAY_NUMBER_OF_TAX_RATES); ?></td>
		    	 <td class="smallText" align="right"><?php echo $tax_split->display_script_links($tax_class_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $page,1,'expand_category(\'\'','\'\''); ?></td>
		    </tr>
		</table>
<?php  } ?>

<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/menu.js"></script>
<script language="javascript" src="includes/general.js"></script>
<script language="javascript" src="includes/http.js"></script>
<script language=javascript>
   var img_src="<?php echo HTTP_SERVER.DIR_WS_ADMIN.'images/';?>";
   function validateForm(lfrm){
      var error_result="";
      if(lfrm.action_type) var action_type=lfrm.action_type.value;
	  if(lfrm && lfrm.tax_rates_id) id=lfrm.tax_rates_id.value;
	  var span_details=document.getElementById("span_details");
	  var span_edit=document.getElementById("span_edit");				
	  var span_delete=document.getElementById("span_delete");
	  var loadings=document.getElementById("loading");
	  var ids="";	
	    if(span_edit)
		  details=span_edit;	
	  else 
	  	details=span_new;  	  	
	   if(details.style.display==""){	
			  if (lfrm.tax_class_id.selectedIndex<0) 
				   error_result+="Please select Tax Class\n";		      
			  if (lfrm.tax_zone_id.selectedIndex<0) 
				   error_result+="Please select Zone Name\n";	
			  if( (lfrm.tax_rate.value=="") || (str_trim(lfrm.tax_rate.value)=="") )
			  		error_result+="Please Enter Tax Rate\n";
			  if ( (lfrm.tax_description.value=="")|| (str_trim(lfrm.tax_description.value)=="") )
			  		error_result+="Please Enter Tax Description\n";
			  if(isNaN(lfrm.tax_rate.value))
			  		error_result+="Tax Rate Should be a Number\n";		
			 // if (lfrm.tax_priority.value=="")
			 // 		error_result+="Please Enter Tax Priority\n";						   	       		  
	 	 if (error_result!=""){
    	    alert(error_result);
	 		 return false;
	     }else{      							
			if(lfrm.action_type && lfrm.action_type.value=='edit')  ids="&tid="+id;
			command="<?php echo tep_href_link(FILENAME_TAX_RATES,'action=update_tax_class');?>"+ids;
			if(loadings) loadings.style.display="";
			if(span_edit) span_edit.style.display="none";
			if(document.getElementById("new_tax_rate")){document.getElementById("new_tax_rate").style.display="none";
			document.getElementById('header_new_operation').firstChild.src=document.getElementById('header_new_operation').firstChild.src.replace('_hover.gif','.gif');
			display_flag=1;
			}
	      }
	}else if(span_delete.style.display==""){      							
			ids="&tid="+id;
			command="<?php echo tep_href_link(FILENAME_TAX_RATES,'action=delete_confirm');?>"+ids;
			if(loadings) loadings.style.display="";
			if(span_delete) span_delete.style.display="none";
     }
	do_post_command('tax_rate_detail',command);
    return false;
   }
   var previous_id='';
  function expand_category(id,category,r_type,sta){ 

     if(id==0 && category==2)
			display_flag=0;
	
	if(id==0 && category==1){
	document.getElementById('header_new_operation').firstChild.src=document.getElementById('header_new_operation').firstChild.src.replace('_hover.gif','.gif');
	display_flag=1;
	} 
  		 document.getElementById('span_new').style.display="none";
  		document.getElementById('new_tax_rate').style.display="none";
		document.getElementById('span_new').innerHTML='';		 
		//if(category==3 && document.getElementById('head_'+id) && document.getElementById('head_'+id).style.display!='none' && document.getElementById("span_edit") && document.getElementById("span_edit").style.display=='none' && document.getElementById("span_delete") && document.getElementById("span_delete").style.display=='none') return;
		var sta;
		if(!sta) sta="";
		var frm=document.tax_rate_detail;
		if(category=='1' && document.getElementById("page_''") && sta!=""){
 	 		id=parseInt(document.getElementById("page_''").options[document.getElementById("page_''").selectedIndex].value);
 	 		if(sta=='next' && document.getElementById("page_''")) {
 	 			if(document.getElementById("page_''").length==document.getElementById("page_''").selectedIndex+1) return;
 	 			id+=1;
 	 		}else if(sta=='prev') {
 	 			if(document.getElementById("page_''").selectedIndex==0) return;
 	 			id-=1;
 	 		}
 	 		if(id<=1) id=1;
 	 	}else if(category=='1' && sta=="") id="";
 	 	var res_display=document.getElementById("res_display"); 	 	 	 	 	 	 	 	 	 		 	  	 	
 	 	if(res_display) res_display.style.display="none"; 	 		 	 	
 	 	 if(frm && frm.tax_rates_id && frm.tax_rates_id.value>0)  {
			var old_ids=frm.tax_rates_id.value;			
			var pre_data_id=document.getElementById("data_"+old_ids);
			var pre_head=document.getElementById("head_"+old_ids);			
			var loadings=document.getElementById("loading");
			if(loadings) loadings.style.display="none";
			if(category==1 && pre_head && pre_head.innerHTML!='') pre_head.innerHTML="";									
		 }		 
			if(id>0 && frm.tax_rates_id.value>0 && frm.tax_rates_id.value!=id){		
			   if(pre_head && pre_head.style.display=="") pre_head.style.display="none";
			   if(pre_data_id && pre_data_id.style.display=="none") pre_data_id.style.display="";
			   frm.tax_rates_id.value=id;			   
			}					
		if(category!=1 && frm && frm.tax_rates_id && frm.tax_rates_id.value=="") frm.tax_rates_id.value=id;		
 	 	if(category){
 	 		var span_details=document.getElementById("span_details");
 	 		var span_edit=document.getElementById("span_edit");			
			var span_delete=document.getElementById("span_delete");								
			var data_id=document.getElementById("data_"+id);						
			var head=document.getElementById("head_"+id);
			var img_save=document.getElementById("img_save");			
			var command="";																	 
 	 		switch(category){ 
				case '1': 	 			       
 	 			       var page=""; 
					   var ser="";
					    if(document.getElementById("search") && document.getElementById("search").value!="" && sta=="" && !r_type) {
					   	ser="&search="+document.getElementById("search").value;
						id="";
					   }else if(document.getElementById("search") && document.getElementById("search").value=="" && sta=="" && !r_type) return;
					    else if(document.getElementById("search") && document.getElementById("search").value=="" && sta=="" && r_type=='reset') id=1;	 			       
 	 			       if(id!="") page="&page="+id; 
 	 			       command="<?php echo tep_href_link(FILENAME_TAX_RATES,'action=page_navigation');?>"+page;
					   
 	 			   	   if(document.getElementById("ajax_details")) document.getElementById("ajax_details").innerHTML="<img src='images/24-1.gif' alt='Loading...' title='Loading...'>"; 	 			   	    	 			   					   
 	 			break;	 			 	 			
 	 			case 2:
 	 				 span_edit.style.display=""; 	 					
 	 				 span_details.style.display=span_delete.style.display="none";
 	 				 span_edit.innerHTML="<img src='images/24-1.gif' alt='Loading...' title='Loading...'>";
 	 				 if(frm.action_type) frm.action_type.value='new'; 	 					
 	 				 command="<?php echo tep_href_link(FILENAME_TAX_RATES,'action=edit_tax_class');?>"; 	
				break; 	 			
 	 			case 3:
				 if(document.getElementById("new_tax_rate")){ document.getElementById("new_tax_rate").style.display="none"; 	 			   
				  document.getElementById('header_new_operation').firstChild.src=document.getElementById('header_new_operation').firstChild.src.replace('_hover.gif','.gif');
					display_flag=1;
					}
 	 			   if(head && head.style.display==""){
 	 			   	  if(span_details.style.display==""){
 	 			   	    head.style.display="none"; 	 			   	    
 	 			   	  	data_id.style.display=""; 	 			   	  	
 	 			   	  }else {
 	 			   	  	if(span_edit.style.display=="") span_edit.style.display="none";
 	 			   	  	if(span_delete.style.display=="") span_delete.style.display="none"; 	 			   	  	 	 			   	  	
 	 			   	  	span_details.style.display="";
 	 			   	  	if(img_save) img_save.style.display="none"; 
 	 			   	  	if(document.getElementById("img_ids")){
 	 			   	  		var tr_obj=document.getElementById("img_ids");
 	 			   	  		if(tr_obj.childNodes[1].childNodes[0].src==img_src+'template/img_edit_hover.gif')	
 	 			   	  			tr_obj.childNodes[1].childNodes[0].src=img_src+'template/img_edit.gif';
 	 			   	  		if(tr_obj.childNodes[2].childNodes[0].src==img_src+'template/img_trash_hover.gif')	
 	 			   	  			tr_obj.childNodes[2].childNodes[0].src=img_src+'template/img_trash.gif';	 	 			   	  			
 	 			   	  	}	 			   	  	  	 			   	  	 	 			   	  	
 	 			   	  }	 	 			    			   	   	 			   
 	 			 }else { 	 	
				 	if(previous_id!='')
						if(document.getElementById('head_'+previous_id))
							document.getElementById('head_'+previous_id).innerHTML='';		 	 	 			 	
 	 			 	if(data_id && data_id.style.display=="") data_id.style.display="none";
 	 			 	if(pre_head && pre_head.style.display=="") pre_head.style.display="none"; 	 			 	
 	 			 	if(head) {
 	 			 	 	head.style.display=""; 	 			 	 	 	 			 	  	 			
 	 			 		head.innerHTML="<img src='images/24-1.gif' alt='Loading...' title='Loading...'>";	 			 		
 	 			 	}
 	 			 	command="<?php echo tep_href_link(FILENAME_TAX_RATES,'action=get_details');?>&tid="+id; 
					previous_id=id;
 	 			 }
 	 			break;
 	 			case 4:
 	 					span_edit.style.display=""; 	 					
 	 					span_details.style.display=span_delete.style.display="none";
 	 					span_edit.innerHTML="<img src='images/24-1.gif' alt='Loading...' title='Loading...'>";
 	 					if(frm.action_type) frm.action_type.value='edit'; 	 					
 	 					command="<?php echo tep_href_link(FILENAME_TAX_RATES,'action=edit_tax_class');?>&tid="+id; 	 		 	 					 	 					 	 				 	 		
 	 			break; 	 			
 	 			case 5:	 	 				 	 				 	 		 	 				
 	 					span_delete.style.display="";
 	 					span_edit.style.display=span_details.style.display="none";
 	 					span_delete.innerHTML="<img src='images/24-1.gif' alt='Loading...' title='Loading...'>";
 	 					command="<?php echo tep_href_link(FILENAME_TAX_RATES,'action=delete_tax_class');?>&tid="+id; 	 	 	 					 	 					 	 			
 	 			break;
				case 6:				 																
				case 7:
					var s_order=frm.tax_priority;															
					if(head) var tbl_tr_obj=head.parentNode.parentNode;																									
					var pos_cnt=0;																																	
					pos="pos_up";
					if(category==7) pos="pos_down";
					command="<?php echo tep_href_link(FILENAME_TAX_RATES);?>?tid="+id+"&pos="+r_type+"&action="+pos;					
					if(s_order) s_order.value=pos;					
					var tpl_cnt=tbl_tr_obj.parentNode.rows.length;
					tpl_cnt=tpl_cnt-2;										
					if(tbl_tr_obj && (tbl_tr_obj.rowIndex==0 && pos=='pos_up' || tpl_cnt==tbl_tr_obj.rowIndex && pos=='pos_down')) return;
				break;	
				
				case 8:
				 if(head && data_id){
		 	 			  	head.style.display="none";
		 	 			  	head.innerHTML="";
		 	 			  	data_id.style.display="";	
		 	 			  } 
				
				break;		 	
 	 		}
 	 		if(command!="") do_get_command(command);
 	 	}		
 	 }  	
   function do_result(result){
   	  var frm=document.tax_rate_detail;
   	  if(result!=""){
   	    if(result.substr(0,11)=='get_details') print_details('get_details',result.substr(11));
   	    else if(result.substr(0,4)=='edit') print_details('edit',result.substr(4));  	 		 				 				
		else if(result.substr(0,14)=='delete_success') print_details('delete_success',result.substr(14));	
		else if(result.substr(0,5)=='close') print_details('close',result.substr(5));		
		else if(result.substr(0,15)=='page_navigation') print_details('page_navigation',result.substr(15));
		else if(result.substr(0,16)=='sort_order_error') print_details('sort_order_error',result.substr(16));
		else if(result.substr(0,18)=='sort_order_success') print_details('sort_order_success',result.substr(18));
		else if(result.substr(0,13)=='new_tax_rates') print_details('new_tax_rates',result.substr(24));
		else if(result.substr(0,6)=='delete') print_details('delete',result.substr(6));		
   	  }
   }
   function print_details(category,result){ 	 	 	 	 	 	 	 	 	 	
 	 	var no_result=""; 
	 	var frm=document.tax_rate_detail;
		if(result.substr(0,15)=='No Record Found'){
 	 		no_result="No Record Found";
 	 	}else if(result!='' && result.length>0 && category!='edit' && result.substr(0,15)!='No Record Found'){
 	 		splt_str=result.split("||"); 	
			var tax_rates_id=""; 		  	 		
 	 		var tax_class_title="";
			var tax_zone_name="";
			var tax_rate="";
			var tax_description="";
			var tax_priority="";
 	 		tax_rates_id=splt_str[0]; 	 		
 	 		tax_class_title=splt_str[1];
 	 		tax_zone_name=splt_str[2]; 	 
			tax_rate=splt_str[3]; 
			tax_description=splt_str[4]; 
			tax_priority=splt_str[5]; 	
				 	 		 	 								
 	 	}	  	 		  	 		 	 	 	  	 		 	  	 
 		if(frm && frm.tax_rates_id) var id=frm.tax_rates_id.value; 	
 		var span_details=document.getElementById("span_details");	
 		var span_edit=document.getElementById("span_edit"); 	 		 	 		
 		var span_delete=document.getElementById("span_delete");				 	
 		var head=document.getElementById("head_"+id); 		 		 		  
 		var data_id=document.getElementById("data_"+id);
 		var res_display=document.getElementById("res_display");
 		var equip=document.getElementById("equip");
 		var img_save=document.getElementById("img_save");
		if(img_save && category!='get_details') img_save.style.display="";		
 	 	switch(category){ 	 		 	 		 	 		 	 		
 	 		case 'get_details': 
	 		if(head  && no_result!="")
				head.innerHTML=no_result; 	 			 	 		
 	 		else if(head && no_result==""){	 	 		
	 	 		if(data_id){		 	 		
		 	 		data_id.innerHTML='<table border="0" cellpadding="0" cellspacing="0" width="100%">'+
						         '<tbody><tr>'+
						         	'<td class="dataTableContent" align="left">'+tax_class_title+'</td>'+
									'<td class="dataTableContent" width="350" align="left">'+tax_zone_name+'</td>'+
									'<td class="dataTableContent" width="75" align="left">'+tax_rate+'</td>'+
							    '</tr>'+
								
						      '</tbody></table>';	
	 	 		}		 	 			
	 	 		include ="<table width='100%' border='0' cellspacing='0' cellpadding='0'>"+
				"<tr heigth='40' class='openContent_top'>"+	
				  "<td width='20' onclick='javascript:expand_category("+tax_rates_id+",8);'>&nbsp;</td>"+			  				  							  
				  "<td width='45'  valign='top' align='left'><a href='javascript:expand_category("+tax_rates_id+",6,"+tax_priority+");'><img border='0' src='images/template/img_arrow_up.gif'></a>&nbsp;<a href='javascript:expand_category("+tax_rates_id+",7,"+tax_priority+");'><img border='0' src='images/template/img_arrow_down.gif'></a></td>"+
				  "<td align='left' width='65' onclick='javascript:expand_category("+tax_rates_id+",8);' valign='middle'class='inner_title'>&nbsp;&nbsp;"+tax_class_title+"</td>"+
				  "<td width='5' align='left' class='main' valign='top'>"+
				  	"<table border='0' cellspacing='0' cellpadding='0' >"+
				  	  "<tr class='img_move' id='img_ids'>"+
				  	  	"<td class='cell_bg_popm_left' width='10'>&nbsp;</td>"+
				  	 // 	"<td width='10%' onclick='javascript:change_class(this,1);expand_category("+tax_rates_id+",2);' onmouseover='javascript:change_class(this,2);' onmouseout='javascript:change_class(this,3);'><img alt='New' title='New' src='images/template/img_copy.gif'></td>"+
				  	    "<td width='10%' onclick='javascript:change_class(this,1);expand_category("+tax_rates_id+",4);' onmouseover='javascript:change_class(this,2);' onmouseout='javascript:change_class(this,3);'><img alt='Edit' title='Edit' src='images/template/img_edit.gif'></td>"+
				  	    "<td width='10%' onclick='javascript:change_class(this,1);expand_category("+tax_rates_id+",5);' onmouseover='javascript:change_class(this,2);' onmouseout='javascript:change_class(this,3);'><img alt='Delete' title='Delete' src='images/template/img_trash.gif'></td>"+				  	    
				  	    "<td class='cell_bg_popm_right' width='10'>&nbsp;</td>"+
				  	  "</tr>"+
				  	"</table>"+
				  "</td><td width='234' onclick='javascript:expand_category("+tax_rates_id+",8);'>&nbsp;</td>"+
				 "<td width='80' nowrap='nowrap' align='right' id='img_save' style='display:none'><input type='image' src='images/template/img_savel.gif' alt='save' title='save' border='0'>&nbsp;&nbsp;<a href='javascript:expand_category("+tax_rates_id+",3);'><img src='images/template/img_closel.gif' alt='close' title='close' border='0'></a>&nbsp;&nbsp;</td>"+
				"</tr>"+
				"<tr style='height:10'><td id='loading' style='display:none' colspan='5'><img src='images/24-1.gif' alt='Loading...' title='Loading...'></td></tr>"+				
				"<tr>"+
				  "<td colspan='8' class='main'><span style='display:none' id='span_edit'></span><span style='display:none' id='span_delete'></span><span id='span_details'>"+	"<table width='100%' border='0' cellspacing='0' cellpadding='0'>"+
				  		"<tr>"+
				  			"<td width='100%' align='center'>"+				  							  			
				  				"<table width='100%' border='0' cellspacing='5' cellpadding='2' class='main'>"+
									"<Tr>"+
										"<td class='main' width='150'><b>Zone Name: </b></td>"+
										"<td class=dataTableContent' align='left' >"+tax_zone_name+"</td>"+
										"<td class='main'  width='80'><b>Tax Rate: </b></td>"+
										"<td class=dataTableContent' align='left' >"+tax_rate+"</td>"+
										"<td class='main'  width='90'><b>Description: </b></td>"+
										"<td class=dataTableContent' align='left' >"+tax_description+"</td>"+
									"</tr>";
						 include+="</table></td></tr><td class=dataTableContent' align='left' >&nbsp;</td>"+
					"</span>"+
				  "</td>"+
				"</tr>"+
			"</table>";
			head.innerHTML=include;
 	 		} 	 			 	 		
 	 	break;
 	 	case 'edit': 	 		 	 		 	 		 	 		
			if(span_edit) span_edit.style.display="";			
 	 		if(span_edit && span_details){ 	 			 	 			
 	 			span_edit.innerHTML=result; 	 			
 	 			span_details.style.display='none';
 	 		}									  
 	 	break;
 	 	case 'delete': 	 				 	 	
 	 		if(span_delete) span_delete.style.display="";
 	 		if(span_delete){ 	 			
 	 			span_delete.innerHTML=result; 	 			
 	 			span_details.style.display=span_edit.style.display='none';
 	 		} 	 								   			   
 	 	break; 	 	
 	 	case 'delete_success':			 
 	    	 if(head && data_id) {
			 	var tbl_obj=head.parentNode.parentNode.parentNode.parentNode;			 				 				 	
			 	if(tbl_obj) tbl_obj.deleteRow(head.parentNode.parentNode.rowIndex);
			 	data_id.innerHTML=head.innerHTML="";
			 	data_id.style.display=head.style.display="none";			 				 			
			 }
 	    	 if(res_display){
	    	 	res_display.innerHTML="<?php echo TEXT_TAX_RATE_DELETE_SUCCESS;?>";
 	    	 	res_display.style.display="";
				var obj=document.getElementById("page_''");
 	    	 	if(obj){  	    	 		
 	    	 		var len=obj.options[obj.selectedIndex].value;
				}	
					command="<?php echo tep_href_link(FILENAME_TAX_RATES,'action=page_navigation');?>&page="+len;
					do_get_command(command);
 	    	} 	    	 			 			 			
 	 	break;	
 	 	case 'page_navigation':
 	 		if(document.getElementById("ajax_details"))
 	 		 document.getElementById("ajax_details").innerHTML=result;
 	 	break;	 	
		case 'sort_order_success':
		case 'sort_order_error':
			if(frm.tax_priority) var s_order=frm.tax_priority.value;															
			if(category=='sort_order_success'){			  			   
			   if(head)  {
				var tbl_obj=head.parentNode.parentNode;
				var up_href=head.childNodes[0].childNodes[0].childNodes[0].childNodes[2].childNodes[0];
			    var down_href=head.childNodes[0].childNodes[0].childNodes[0].childNodes[2].childNodes[2];			    
			    var new_pos=result.substr(result.indexOf('sort_order_success'));			    
			    if(up_href && down_href && new_pos){
					up_href.href="javascript:expand_category("+id+",6,"+new_pos+")";
					down_href.href="javascript:expand_category("+id+",7,"+new_pos+")";
			    }
				var x=1;
				if(s_order && s_order!="" && s_order=="pos_up") x=-1;								
				var row=tbl_obj;
				var index=row.rowIndex;
				var count=tbl_obj.parentNode.rows.length;				
				if (x==-1 && index==0) return;
				if (x==1 && index==count-1) return;
				if (x==-1){
				   row.parentNode.insertBefore(row,row.parentNode.rows[index-1]);
				} else {
					if (index==row.parentNode.rows.length-2)
						row.parentNode.appendChild(row);
					else
						row.parentNode.insertBefore(row,row.parentNode.rows[index+2]);
				}																 							
  		      }			   			   					            	            	      		               	      	    	 	 			  
			}else if(category=='sort_order_error'){
				res_display.style.display=""; 	    	 	
			    res_display.innerHTML="<?php echo ERROR_IN_DATABASE_TRY_AGAIN;?>"; 	    	 	 	    	 	 	    	 	 	    	 	 
			}
		break; 	
		case 'new_tax_rates':
				var len=1;
				if(result!=""){
					result_splt=result.split('||');
					if(result_splt[0]>0){						
						var id=result_splt[0];
						var tax_class_title=result_splt[1];	
						var tax_class_description=result_splt[2];						
						if(head) {    						
    						var tbl_obj=head.parentNode.parentNode.parentNode.parentNode;    						
    						var row_obj=tbl_obj.insertRow(tbl_obj.rows.length);
    						var row_cell=row_obj.insertCell(0);
    						row_cell.innerHTML='<div id="data_'+id+'">'+
						       '<table border="0" cellpadding="0" cellspacing="0" width="100%">'+
						         '<tbody><tr>'+
						         	'<td class="dataTableContent" width="150" align="left">'+tax_class_title+'</td>'+
						          '</tr>'+
						      '</tbody></table>'+
						      '</div>'+
						      '<div style="display:none;" class="openContent" id="head_'+id+'"></div>';						    						      
    						var rows_cnt=tbl_obj.rows.length-1;
    						var tbl=tbl_obj.rows[rows_cnt];
    						tbl.onclick=function () {((document.getElementById("head_"+id) && document.getElementById("head_"+id).style.display=='none')?expand_category(id,3):'')};
    						tbl.style.height="25px"; 
    						if(rows_cnt%2==0) tbl.className="dataTableRowOdd";
    						else tbl.className="dataTableRowEven";
    						tbl.onmouseover=function (){rowOverEffect(this)};
    						tbl.onmouseout=function (){rowOutEffect(this)};
    						if(head && data_id){
    							head.style.display="none";
    							data_id.style.display="";
    						}
    						if(res_display){
					    	 res_display.innerHTML="<?php echo TEXT_TAX_RATE_INSERT_SUCCESS;?>";
				 	    	 res_display.style.display=""; 	    	 	
 	    	 				}
						}    					
					}
					command="<?php echo tep_href_link(FILENAME_TAX_RATES,'action=page_navigation');?>&page="+len;
					do_get_command(command);
				}																			 						
		break;
		}
 	 	if(res_display && res_display.style.display=="") setTimeout("res_display.style.display='none'",2000); 	 	 	 	 	 	
 	 	clearTimeout();
	  } 
	    function new_tax_rate(){
	  	if(document.getElementById('empty_tax'))
			document.getElementById('empty_tax').style.display='none';

	   display_flag=0;
		var frm=document.tax_rate_detail;
 		var id="";
		id=frm.tax_rates_id.value; 
		  if(frm && frm.tax_rates_id && frm.tax_rates_id.value>0)  {
			var old_ids=frm.tax_rates_id.value;			
			var pre_data_id=document.getElementById("data_"+old_ids);
			var pre_head=document.getElementById("head_"+old_ids);			
			var loadings=document.getElementById("loading");
			if(loadings) loadings.style.display="none";
			if( pre_head && pre_head.innerHTML!='') pre_head.innerHTML="";									
		 }		 	 
			if(id>0 && frm.tax_rates_id.value>0 && frm.tax_rates_id.value!=id){			   
			   if(pre_head && pre_head.style.display=="") pre_head.style.display="none";
			   if(pre_data_id && pre_data_id.style.display=="none") pre_data_id.style.display="";
			   frm.tax_rates_id.value=id;			   
			}
	
	  document.getElementById('span_new').style.display="";
	 // document.getElementById('img_save').style.display="";
	 if(pre_head && pre_head.style.display=="") pre_head.style.display="none";
			   if(pre_data_id && pre_data_id.style.display=="none") pre_data_id.style.display="";
	  document.getElementById('span_new').innerHTML="";
	  document.getElementById('new_tax_rate').style.display="";
	  if(frm.action_type) frm.action_type.value='new'; 
	  
	  document.getElementById('span_new').innerHTML='<table border="0" cellspacing="2" cellpadding="4" width="100%" class="openContent"> '+
			  '<tr><td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td></tr> '+
			  '  <tr><td align="center"> <table border="0" cellspacing="2" cellpadding="4">'+
			  '<tr valign="top">'+
				'<td class="main">Tax Class Title</td><td><?php echo tep_tax_classes_pull_down('name="tax_class_id" style="font-size:10px"', '');?></td>'+
				'<td class="main">Zone</td><td class="main"><?php echo tep_geo_zones_pull_down('name="tax_zone_id" style="font-size:10px"', $lInfo->geo_zone_id);?></td>'+
			  '</tr>'+
			  '<tr valign="top">'+
			  	'<td class="main">Tax Rate</td><td class="main"><?php echo tep_draw_input_field('tax_rate', $lInfo->tax_rate);?></td>'+
				'<td class="main">Description</td><td class="main"><?php echo tep_draw_input_field('tax_description', $lInfo->tax_description);?></td>'+
			  '</tr>'+
			  '</table></td></tr>'+
	  	      '<tr><td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td></tr> '+		
              '</table>';
	  }
	  function change_class(obj,eve){ 		 		 	 	
		 var span_details=document.getElementById("span_details"); 
		 var span_edit=document.getElementById("span_edit");
		 var span_delete=document.getElementById("span_delete");	
		 
		 	 	 		 			 
		 if(obj){		   		    		    
		    var img_get_src=obj.childNodes[0];
			if(img_get_src){
			 //   if(img_get_src.src==img_src+'template/img_copy.gif') {
			//		if(span_edit && span_edit.style.display=="" && eve==1 || eve==2){
			//		 	img_get_src.src=img_src+'template/img_copy_hover.gif';
			//		}  		   		 	 			 	 			
			//    }else if(eve==3 && img_get_src.src==img_src+'template/img_copy_hover.gif' && span_edit && span_edit.style.display=="none") img_get_src.src=img_src+'template/img_copy.gif';
			    if(img_get_src.src==img_src+'template/img_edit.gif') {
					if(span_edit && span_edit.style.display=="" && eve==1 || eve==2){
					 	img_get_src.src=img_src+'template/img_edit_hover.gif';
					}  		   		 	 			 	 			
			    }else if(eve==3 && img_get_src.src==img_src+'template/img_edit_hover.gif' && span_edit && span_edit.style.display=="none") img_get_src.src=img_src+'template/img_edit.gif';
			    if(img_get_src.src==img_src+'template/img_trash.gif') {
					if(span_delete && span_delete.style.display=="" && eve==1 || eve==2){
					 	img_get_src.src=img_src+'template/img_trash_hover.gif';
					}  		   		 	 			 	 			
			    }else if(eve==3 && img_get_src.src==img_src+'template/img_trash_hover.gif' && span_delete && span_delete.style.display=="none") img_get_src.src=img_src+'template/img_trash.gif';		    		    		     		   	
		  }
		 }		 
	  }	
	  function drop_new_class(){
	  if(document.getElementById('empty_tax'))
		document.getElementById('empty_tax').style.display='';
	  change_new_image(document.getElementById('header_new_operation'));
	  document.getElementById('new_tax_rate').style.display="none"
	  }
</script>
<?php  // WebMakers.com Added: Java Scripts   
      include(DIR_WS_INCLUDES . 'javascript/' . 'webmakers_added_js.php')
?>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF" onLoad="SetFocus();">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->
<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="5">
  <tr> 
<!-- body_text //-->   
             <td valign="top">
             
	       	<table border="0" cellspacing="0" cellpadding="0" width=100%>
				<tr>
					<td colspan="3">
						<form name="goto" action="shop_geo_zones.php" method="post">
						<table width="100%" cellpadding="2" cellspacing="2" border="0">
						<tr class="dataTableHeadingRow">
							<td width="200" align="left"><?php echo '<a id="header_new_operation" href="javascript:new_tax_rate();"   onMouseOver="javascript:do_hover_change(this,2);" onMouseOut="javascript:do_hover_change(this,1);" >'.tep_image(DIR_WS_IMAGES.'template/img_new.gif','','22','22').'</a>'; ?></td>
						<!--	<td class="main" align="right"><br><?php echo tep_image(DIR_WS_IMAGES.'template/img_search.gif').'&nbsp;&nbsp;'.HEADING_TITLE_GOTO.'&nbsp;&nbsp;'.tep_draw_pull_down_menu('to_rate_id',$zid_array,'',' onChange="javascript: zone_focus(this.value);" '); ?></td> -->
						</tr>
						</table>
						</form>
					</td>
				</tr>
                 <tr><td id="res_display" class="main" style="display:none" colspan="3"></td></tr>
                 <tr class="dataTableRow" height=20 valign="top">
				  	 <td class="main" align="left"><b>Tax Class</b></td>
               		 <td class="main" width="350" align="left"><b>Zone</b></td>
               		 <td class="main" width="75" align="left"><b>Tax Rate</b></td>
               	 </tr>
                 <tr>
                	  <td colspan="4" >
					  <?php echo tep_draw_form('tax_rate_detail',FILENAME_TAX_RATES, '' ,'post','onsubmit="javascript:return validateForm(this);"');?>
					  <table border="0" cellpadding="0" cellspacing="0" width="100%">
						 <tr><td id="ajax_details">
			   			 <?php echo table_write(); ?></td></tr></table>
        <input type="hidden" name="tax_rates_id" id="tax_rates_id">
	    <input type="hidden" name="action_type" id="action_type">
	    <input type="hidden" name="icnt" id="icnt">
		  <input type="hidden" id="tax_priority">
        </form>
			
		  			 </td>
				 </tr>        
       			<tr><td><?php echo tep_draw_separator('pixel_trans.gif', '2', '10'); ?></td></tr>	
      	  </table>
        </td>      
<!-- body_text_eof //-->
<!-- body_eof //-->
	</tr>
  </table>
<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
<script language="javascript">
	var display_flag=1;
	function do_hover_change(element,mode){
	if(display_flag==1){
	if (element.mode && mode==element.mode) return;
	if (mode==2)
		element.firstChild.src=element.firstChild.src.replace(".gif","_hover.gif");
	else
		element.firstChild.src=element.firstChild.src.replace("_hover.gif",".gif");
	}
	element.mode=mode;
	}
	function change_new_image(element){
	display_flag=1;
	element.firstChild.src=element.firstChild.src.replace('_hover.gif','.gif');
	}
</script>